Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Class ForwardingConcurrentMap<K,V>

    java.lang.Object
      com.google.common.collect.ForwardingObject
          com.google.common.collect.ForwardingMap<K,V>
              com.google.common.collect.ForwardingConcurrentMap<K,V>

All Implemented Interfaces:
  ConcurrentMap<K,V>, Map<K,V>

    @GwtCompatible
    public abstract class ForwardingConcurrentMap<K,V>

extends ForwardingMap<K,V>
implements ConcurrentMap<K,V>

A concurrent map which forwards all its method calls to another concurrent map. Subclasses should override one or more methods to modify the behavior of the backing map as desired per the decorator pattern.

Since:
  2.0 (imported from Google Collections Library)
Author:
  Charles Fry

Nested Class Summary

Nested classes/interfaces inherited from class com.google.common.collect.ForwardingMap
`ForwardingMap.StandardEntrySet, ForwardingMap.StandardKeySet, ForwardingMap.StandardValues`

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`protected` | `ForwardingConcurrentMap()` Constructor for use by subclasses.

Method Summary
`protected abstract ConcurrentMap<K,V>` | `delegate()` Returns the backing delegate instance that methods are forwarded to.
`V` | `putIfAbsent(K key, V value)`
`boolean` | `remove(Object key, Object value)`
`V` | `replace(K key, V value)`
`boolean` | `replace(K key, V oldValue, V newValue)`

Methods inherited from class com.google.common.collect.ForwardingMap
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, standardClear, standardContainsKey, standardContainsValue, standardEquals, standardHashCode, standardIsEmpty, standardPutAll, standardRemove, standardToString, values`

Methods inherited from class com.google.common.collect.ForwardingObject
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### ForwardingConcurrentMap

    protected ForwardingConcurrentMap()

  Constructor for use by subclasses.

Method Detail

### delegate

    protected abstract ConcurrentMap<K,V> delegate()

  Description copied from class: `ForwardingObject`
  Returns the backing delegate instance that methods are forwarded to. Abstract subclasses generally override this method with an abstract method that has a more specific return type, such as `ForwardingSet.delegate()`. Concrete subclasses override this method to supply the instance being decorated.

  Specified by:
    `delegate` in class `ForwardingMap<K,V>`

### putIfAbsent

    public V putIfAbsent(K key,
                         V value)

  Specified by:
    `putIfAbsent` in interface `ConcurrentMap<K,V>`

### remove

    public boolean remove(Object key,
                          Object value)

  Specified by:
    `remove` in interface `ConcurrentMap<K,V>`

### replace

    public V replace(K key,
                     V value)

  Specified by:
    `replace` in interface `ConcurrentMap<K,V>`

### replace

    public boolean replace(K key,
                           V oldValue,
                           V newValue)

  Specified by:
    `replace` in interface `ConcurrentMap<K,V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.